Bug 720807 - Review Request: askbot-plugin-authfas - Askbot plugin to facilitate FAS authentication
Review Request: askbot-plugin-authfas - Askbot plugin to facilitate FAS authe...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 15:56 EDT by pjp
Modified: 2011-07-29 05:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 05:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
metherid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description pjp 2011-07-12 15:56:51 EDT
Spec URL: http://pjp.dgplug.org/tools/fas-plugin-askbot.spec
SRPM URL: http://pjp.dgplug.org/tools/fas-plugin-askbot-0.1-1.fc14.src.rpm

Description:
Askbot plugin to facilitate FAS authentication. It uses python-fedora
package to send the authentication requests.

It exports a single API which is used by the Askbot server to perform
authentication. It returns True or False based on the authentication result.

 - Boolean check_password(username, password)

Thank you.
Comment 1 Rahul Sundaram 2011-07-12 17:24:20 EDT
The following is redundant and should be removed

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%clean
rm -rf $RPM_BUILD_ROOT

----

Must add Requires: askbot

Wouldn't BuildRequires include python-devel and python-setup-tools?

Don't add a catch all like the following.  Be a bit more specific. 

%{_datadir}/*
%{python_sitelib}/*

%doc must include license

changelog,  RPM is spelled wrong
Comment 2 Rahul Sundaram 2011-07-12 18:31:16 EDT
I asked in #fedora-admin and recommendation is renaming to

askbot-plugin-authfas
Comment 4 Rahul Sundaram 2011-07-15 21:43:35 EDT
Request for EPEL 6 branch but don't build anything till we get askbot in the repo 

===  APPROVED ===
Comment 5 Rahul Sundaram 2011-07-15 21:49:05 EDT
Additional note.  Since you are the upstream,  you might want to just rename the tarball and fix the spec file instead of using the srcname macro there
Comment 6 pjp 2011-07-16 05:06:59 EDT
New Package SCM Request
=======================
Package Name: askbot-plugin-authfas
Short Description: Askbot plugin to facilitate FAS authentication.
Owners: pjp sundaram
Branches: f15 el-6
Comment 7 Jon Ciesla 2011-07-16 10:38:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.